package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.SCompany;

/**
 * 公司Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface SCompanyMapper 
{
    /**
     * 查询公司
     * 
     * @param companyId 公司主键
     * @return 公司
     */
    public SCompany selectSCompanyByCompanyId(Long companyId);

    /**
     * 查询公司列表
     * 
     * @param sCompany 公司
     * @return 公司集合
     */
    public List<SCompany> selectSCompanyList(SCompany sCompany);

    /**
     * 新增公司
     * 
     * @param sCompany 公司
     * @return 结果
     */
    public int insertSCompany(SCompany sCompany);

    /**
     * 修改公司
     * 
     * @param sCompany 公司
     * @return 结果
     */
    public int updateSCompany(SCompany sCompany);

    /**
     * 删除公司
     * 
     * @param companyId 公司主键
     * @return 结果
     */
    public int deleteSCompanyByCompanyId(Long companyId);

    /**
     * 批量删除公司
     * 
     * @param companyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSCompanyByCompanyIds(String[] companyIds);
}
